Subject: bug#58148: 29.0.50; Wrong number of arguments in keymap-set--anon-cmacro

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 29 Sep 2022 12:34:13 +0200

Juri Linkov <[email-masked]> writes:

> Hmm, still fails after bootstrap in the latest master:
>
>   Debugger entered--Lisp error: (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
>     keymap-set--anon-cmacro((keymap-set elisp--witness--lisp) elisp--witness--lisp)

There was another report of something similar, but that seemed to have
something to do with previously compiled packages, which is why I
thought this might be a stale .elc problem.

I'm wondering why I'm not seeing the issue then -- I tried a "make
bootstrap" and then "emacs -Q" and the recipe, and didn't get any errors.

> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
>  version 1.16.0, Xaw3d scroll bars) of 2022-09-28
> Repository revision: b6a163ba7cdf57eff5542b4cb6956780ebb2880f
> Repository branch: master

I've got:

In GNU Emacs 29.0.50 (build 41, x86_64-pc-linux-gnu, GTK+ Version
 3.24.33, cairo version 1.16.0) of 2022-09-28 built on joga
Repository revision: 1254d9a3ae89697b591343de2ddf55c5879bc937
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Ubuntu 22.04.1 LTS

Could possibly a toolkit version make any difference here?  That would
be really weird.

Hm...  anybody have any ideas?